%define version	0.2.3
%define release	1mdk

%define major 	0
%define libname %mklibname gcu

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.nongnu.org/gchemutils/

Source0:	http://savannah.nongnu.org/download/gchemutils/unstable.pkg/%{version}/%{name}-%version.tar.bz2
#Source1:	%{SOURCE0}.sig

BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeprint2-2-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	openbabel-devel >= 1.100.1
BuildRequires:	libgnomeui2-devel
BuildRequires:	gtk-doc
Requires:	%{libname}%{major} = %{version}-%{release}
Provides:	gcu = %{version}-%{release}
Provides:	gchemutils = %{version}-%{release}
Obsoletes:	gcu

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%package -n %{libname}%{major}
Summary:	Main libraries for %{name}.
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}%{major}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with %{name}.                                                                                                                            
%package	-n %{libname}%{major}-devel
Summary:	Development related files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname}%{major} = %{version}-%{release}
Provides:	gcu-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}%{major}-devel
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

%prep
%setup -q

%build
%define __libtoolize /bin/true
%configure2_5x --enable-static=yes
perl -pi -e 's@^(sys_lib_dlsearch_path_spec="/lib /usr/lib)"@$1 /usr/X11R6/%{_lib}"@' libtool
%make

%install
rm -rf %{buildroot}
rm -rf `pwd`/reference
%makeinstall_std HTMLDIR=`pwd`/reference/html
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/gchem3d
%{_datadir}/gchemutils
%{_libdir}/bonobo/servers/*.server
%{_datadir}/mime-info/*

%files -n %{libname}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%doc reference
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.2.3-1mdk
- 0.2.3

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 0.2.0-1mdk
- New version
- Rename main package because original name is more descriptive
  (with blessing from Austin)

* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 0.1.7-1mdk
- 0.1.7
- use makeinstall_std and configure2_5x
- fix BuildRequires
- Source1 removed (upstream)
- LGPL
- avoid binary-or-shlib-defines-rpath, taken from an idea in MDK
  libtool patch

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.1.6-2mdk
- more buildrequires
- be sure to build with gtkglext
- add missing headers

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.1.6-1mdk
- 0.1.6
- no confiugre macro (goofs .so's)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.1.3-2mdk
- buildrequires glu

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.1.3-1mdk
- 0.1.3
- remove patches (merged u/s)
- fixup specfile

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-2mdk
- use find_lang macro
- fix files section
- from Austin Acton <aacton@yorku.ca> :
	- add patch for libgnomeprint2.2 problems


* Sat Dec 7 2002 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package

